[134305] trunk/dports/net/pidgin

devans at macports.org devans at macports.org
Sat Mar 21 14:59:05 PDT 2015


Revision: 134305
          https://trac.macports.org/changeset/134305
Author:   devans at macports.org
Date:     2015-03-21 14:59:05 -0700 (Sat, 21 Mar 2015)
Log Message:
-----------
pidgin: reconfigure using autogen.sh for intltool 0.51 compatibility.

Modified Paths:
--------------
    trunk/dports/net/pidgin/Portfile
    trunk/dports/net/pidgin/files/autogen.sh

Modified: trunk/dports/net/pidgin/Portfile
===================================================================
--- trunk/dports/net/pidgin/Portfile	2015-03-21 21:57:11 UTC (rev 134304)
+++ trunk/dports/net/pidgin/Portfile	2015-03-21 21:59:05 UTC (rev 134305)
@@ -31,6 +31,10 @@
 
 depends_build       port:pkgconfig \
                     port:intltool \
+                    port:autoconf \
+                    port:automake \
+                    port:libtool \
+                    port:gsed \
                     port:python27
 
 depends_lib         path:lib/pkgconfig/glib-2.0.pc:glib2 \
@@ -67,8 +71,14 @@
 patchfiles          patch-configure.ac.diff \
                     patch-libpurple-internal.h.diff
 
-use_autoreconf      yes
+# reconfigure using autogen.sh for intltool 0.51 compatibility
 
+post-patch {
+    xinstall -m 755 ${filespath}/autogen.sh ${worksrcpath}
+}
+
+configure.cmd       ./autogen.sh
+
 # --disable-dependency-tracking was added because a +universal perl will result in
 # PERL_CFLAGS containing multiple -arch arguments... this is the easiest workaround
 

Modified: trunk/dports/net/pidgin/files/autogen.sh
===================================================================
--- trunk/dports/net/pidgin/files/autogen.sh	2015-03-21 21:57:11 UTC (rev 134304)
+++ trunk/dports/net/pidgin/files/autogen.sh	2015-03-21 21:59:05 UTC (rev 134305)
@@ -83,7 +83,7 @@
 
 	OUTPUT=`mktemp autogen-XXXXXX`
 
-	printf "%s" "running ${CMD} ${@}... "
+	printf "running %s %s... " ${CMD} "$*"
 	${CMD} ${@} >${OUTPUT} 2>&1
 
 	if [ $? != 0 ] ; then
@@ -99,9 +99,17 @@
 	fi
 }
 
+cleanup () {
+	rm -f autogen-??????
+	echo
+	exit 2
+}
+
 ###############################################################################
 # We really start here, yes, very sneaky!
 ###############################################################################
+trap cleanup 2
+
 FIGLET=`which figlet 2> /dev/null`
 if [ x"${FIGLET}" != x"" ] ; then
 	${FIGLET} -f small ${PACKAGE}
@@ -129,6 +137,7 @@
 check "$libtoolize";		LIBTOOLIZE=${BIN};
 check "glib-gettextize";	GLIB_GETTEXTIZE=${BIN};
 check "intltoolize";		INTLTOOLIZE=${BIN};
+check "gsed";				SED=${BIN};
 check "aclocal";		ACLOCAL=${BIN};
 check "autoheader";		AUTOHEADER=${BIN};
 check "automake";		AUTOMAKE=${BIN};
@@ -140,6 +149,9 @@
 run_or_die ${LIBTOOLIZE} ${LIBTOOLIZE_FLAGS:-"-c -f --automake"}
 run_or_die ${GLIB_GETTEXTIZE} ${GLIB_GETTEXTIZE_FLAGS:-"--force --copy"}
 run_or_die ${INTLTOOLIZE} ${INTLTOOLIZE_FLAGS:-"-c -f --automake"}
+# This call to sed is needed to work around an annoying bug in intltool 0.40.6
+# See http://developer.pidgin.im/ticket/9520 for details
+run_or_die ${SED} -i.bak -e "s:'\^\$\$lang\$\$':\^\$\$lang\$\$:g" po/Makefile.in.in
 run_or_die ${ACLOCAL} ${ACLOCAL_FLAGS:-"-I m4macros"}
 run_or_die ${AUTOHEADER} ${AUTOHEADER_FLAGS}
 run_or_die ${AUTOMAKE} ${AUTOMAKE_FLAGS:-"-a -c --gnu"}
@@ -148,4 +160,7 @@
 ###############################################################################
 # Run configure
 ###############################################################################
-echo "NOT running ./configure ${CONFIGURE_FLAGS} $@"
+if test -z "$NOCONFIGURE"; then
+	echo "running ./configure ${CONFIGURE_FLAGS} $@"
+	./configure ${CONFIGURE_FLAGS} $@
+fi
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.macosforge.org/pipermail/macports-changes/attachments/20150321/b9ba1a56/attachment-0001.html>


More information about the macports-changes mailing list